Sms

Send SMS

Send an SMS message to a lead. The SMS will be associated with the organization of the API key. If messageThreadId is not provided, a new message thread and inquiry will be created.

POST
/v1/sms

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication for API access.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.sophiie.ai/v1/sms" \  -H "Content-Type: application/json" \  -d '{    "userId": "usr_abc123",    "leadId": "ld_abc123"  }'
{
  "message": "Message sent successfully"
}
{
  "message": "string"
}
{
  "success": false,
  "message": "Invalid or expired token",
  "error": {
    "status": 401,
    "message": "Invalid or expired token"
  }
}
{
  "success": false,
  "message": "Not found",
  "error": {
    "status": 404,
    "message": "Not found"
  }
}
{
  "success": false,
  "message": "Internal server error",
  "error": {
    "status": 500,
    "message": "Internal server error"
  }
}